Get one of the caller workspace's own campaign types
curl --request GET \
--url https://api.pineyard.ai/campaign-types/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaign-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaign-types/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"extractionKeys": [
{
"name": "<string>",
"type": "string",
"description": "<string>"
}
],
"status": "ACTIVE",
"isOwn": true
}Campaign types
Get one of the caller workspace's own campaign types
GET
/
campaign-types
/
{id}
Get one of the caller workspace's own campaign types
curl --request GET \
--url https://api.pineyard.ai/campaign-types/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaign-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaign-types/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"extractionKeys": [
{
"name": "<string>",
"type": "string",
"description": "<string>"
}
],
"status": "ACTIVE",
"isOwn": true
}Required scope:
campaign_types.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.

